Subject: Re: PCI masteru

From: James Craig <[email-masked]>
Date: Thu, 26 Nov 1998 08:46:38 +0000 (GMT)

On Tue, 24 Nov 1998, Russell King - ARM Linux Admin wrote:

> Philip Blundell writes:
> > >Peripherals also need their IO and memory access bits set correctly.  If you'd
> > >care to read the code, you'll notice that the Netwinder port sets up the PCI
> > 
> > Thinking about it more I think this argument is spurious.  The driver should 
> > probably be responsible for setting the I/O and memory bits as well.
> 
> There appear to be some drivers that take these bits as 'enabled', and will
> specifically not initialise if they're not set (eg, all PCI IDE, rz1000, etc).
> 
> Hmm, in fact, it looks like most PCI drivers look at the IO and memory enabled
> bits, and skip devices that aren't enabled.  Maybe there's a reason...
Presumably, on a PC, this is how the BIOS sets various PCI devices as
enabled or disabled, and you wouldn't want Linux to override that
behaviour or you'd end up in all sorts of trouble. Makes sense if the PCI
drivers are basically checking to see if the BIOS has enabled the device
or not (certainly for IDE, multi-I/O, that sort of thing).

--
James Craig <[email-masked]>
            <[email-masked]>

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]